## org.apache.lucene.benchmark.byTask.tasks
Class NearRealtimeReaderTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.NearRealtimeReaderTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class NearRealtimeReaderTask

extends PerfTask

Spawns a BG thread that periodically (defaults to 3.0 seconds, but accepts param in seconds) wakes up and asks IndexWriter for a near real-time reader. Then runs a single query (body: 1) sorted by docdate, and prints time to reopen and time to run the search. NOTE: this is very experimental at this point, and subject to change. It's also not generally usable, eg you cannot change which query is executed.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params`

Constructor Summary
`NearRealtimeReaderTask(PerfRunData runData)`

Method Summary
`void` `close()`
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`void` `setParams(java.lang.String params)` Set the params of this task.
`boolean` `supportsParams()` Sub classes that supports parameters must override this method to return true.

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getDepth, getLogMessage, getName, getParams, getRunData, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setup, shouldNeverLogAtStart, shouldNotRecordStats, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NearRealtimeReaderTask

    public NearRealtimeReaderTask(PerfRunData runData)

Method Detail

### doLogic

    public int doLogic()
                throws java.io.IOException

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `java.io.IOException`

### setParams

    public void setParams(java.lang.String params)

  Description copied from class: `PerfTask`
  Set the params of this task.

  Overrides:
    `setParams` in class `PerfTask`

### supportsParams

    public boolean supportsParams()

  Description copied from class: `PerfTask`
  Sub classes that supports parameters must override this method to return true.

  Overrides:
    `supportsParams` in class `PerfTask`
  Returns:
    true iff this task supports command line params.

### close

    public void close()
               throws java.lang.InterruptedException

  Overrides:
    `close` in class `PerfTask`
  Throws:
    `java.lang.InterruptedException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.